Bug 969819 - engine [LOG]: its hard to find when engine restarted in the logs
engine [LOG]: its hard to find when engine restarted in the logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Douglas Schilling Landgraf
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 10:54 EDT by Dafna Ron
Modified: 2016-02-10 14:05 EST (History)
10 users (show)

See Also:
Fixed In Version: is5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:15:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16363 None None None Never

  None (edit)
Description Dafna Ron 2013-06-02 10:54:00 EDT
Description of problem:

in vdsm, we have the "I am vdsm<version> when vdsm is restarted. 
it would be helpful (mostly for GSS) if we add something like that in the engine log. 

Version-Release number of selected component (if applicable):

sf17.2

How reproducible:

100%

Steps to Reproduce:
1. restart vdsm
2. restart ovirt-engine
3.

Actual results:

vdsm prints "I am vdsm<version> when it restarts and engine prints a whole lot of things which are very hard to look for. 

Expected results:

it would be helpful if we could add a print of ovirt engine version when the service restarts to the log. 

Additional info:


currently in vdsm: 

MainThread::INFO::2013-05-29 17:49:37,051::vdsm::88::vds::(run) I am the actual vdsm 4.10.2-22.0.el6ev cougar01.scl.lab.tlv.redhat.com (2.6.32-358.6.2.el6.x86_64)

currently in engine: 

013-06-02 14:52:51,318 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (QuartzScheduler_Worker-23) No string for UNASSIGNED type. Use default Log
2013-06-02 14:53:01,217 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) Start time: 6/2/13 2:53 PM
2013-06-02 14:53:01,816 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) VDSBrokerFrontend: 6/2/13 2:53 PM
2013-06-02 14:53:01,822 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) CpuFlagsManager: 6/2/13 2:53 PM
2013-06-02 14:53:01,823 INFO  [org.ovirt.engine.core.bll.AuditLogCleanupManager] (ServerService Thread Pool -- 32) Setting audit clean up manager to run at: 35 35 3 * * ?
2013-06-02 14:53:01,848 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) AuditLogCleanupManager: 6/2/13 2:53 PM
2013-06-02 14:53:01,853 INFO  [org.ovirt.engine.core.bll.TagsDirector] (ServerService Thread Pool -- 32) TagsDirector initialization
2013-06-02 14:53:01,876 INFO  [org.ovirt.engine.core.bll.TagsDirector] (ServerService Thread Pool -- 32) Tag root added to tree
2013-06-02 14:53:01,890 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) TagsDirector: 6/2/13 2:53 PM
2013-06-02 14:53:01,899 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) IsoDomainListSyncronizer: 6/2/13 2:53 PM
2013-06-02 14:53:01,930 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) InitHandlers: 6/2/13 2:53 PM
2013-06-02 14:53:01,946 WARN  [org.ovirt.engine.core.utils.ErrorTranslatorImpl] (ServerService Thread Pool -- 32) Code MAC_ADDRESS_IS_IN_USE appears more than once in string table.
2013-06-02 14:53:01,948 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) ErrorTranslator: 6/2/13 2:53 PM
2013-06-02 14:53:01,949 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) VdsErrorTranslator: 6/2/13 2:53 PM
2013-06-02 14:53:01,950 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) Mark uncompleted jobs as UNKNOWN: 6/2/13 2:53 PM
2013-06-02 14:53:01,998 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) JobRepositoryCleanupManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,000 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) AutoRecoveryManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,004 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 32) ExecutionMessageDirector: 6/2/13 2:53 PM
2013-06-02 14:53:02,035 INFO  [org.ovirt.engine.core.bll.adbroker.UsersDomainsCacheManagerService] (ServerService Thread Pool -- 32) UsersDomainsCacheManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,039 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (ServerService Thread Pool -- 36) InitResourceManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,042 INFO  [org.ovirt.engine.core.vdsbroker.ResourceManager] (ServerService Thread Pool -- 36) ResourceManager::ResourceManager::Entered
2013-06-02 14:53:02,172 INFO  [org.ovirt.engine.core.bll.adbroker.UsersDomainsCacheManagerService] (ServerService Thread Pool -- 32) DbUserCacheManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,220 INFO  [org.ovirt.engine.core.bll.DbUserCacheManager] (QuartzScheduler_Worker-1) Start refreshing all users data
2013-06-02 14:53:02,270 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (ServerService Thread Pool -- 36) Eneterd VdsManager:constructor
2013-06-02 14:53:02,270 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (ServerService Thread Pool -- 36) vdsBroker(cougar01.scl.lab.tlv.redhat.com,54,321)
2013-06-02 14:53:02,409 INFO  [org.ovirt.engine.core.vdsbroker.ResourceManager] (ServerService Thread Pool -- 36) ResourceManager::AddVds - VDS 4497d431-7c5e-4924-96e0-3f9cdbf826e5 was added to the Resource Manager
2013-06-02 14:53:02,412 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (ServerService Thread Pool -- 36) Eneterd VdsManager:constructor
2013-06-02 14:53:02,412 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (ServerService Thread Pool -- 36) vdsBroker(cougar02.scl.lab.tlv.redhat.com,54,321)
2013-06-02 14:53:02,419 INFO  [org.ovirt.engine.core.vdsbroker.ResourceManager] (ServerService Thread Pool -- 36) ResourceManager::AddVds - VDS a4af81ea-c847-4c9c-885e-cb763d5bf9ea was added to the Resource Manager
2013-06-02 14:53:02,458 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (ServerService Thread Pool -- 36) AsyncTaskManager: Initialization of AsyncTaskManager completed successfully.
2013-06-02 14:53:02,458 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (ServerService Thread Pool -- 36) AsyncTaskManager: 6/2/13 2:53 PM
2013-06-02 14:53:02,468 INFO  [org.ovirt.engine.core.bll.OvfDataUpdater] (ServerService Thread Pool -- 36) Initialization of OvfDataUpdater completed successfully.
2013-06-02 14:53:02,468 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (ServerService Thread Pool -- 36) OvfDataUpdater: 6/2/13 2:53 PM
2013-06-02 14:53:02,471 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (ServerService Thread Pool -- 36) VdsLoadBalancer: 6/2/13 2:53 PM
2013-06-02 14:53:02,475 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (pool-4-thread-1) MacPoolManager started: 6/2/13 2:53 PM
2013-06-02 14:53:02,498 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (ServerService Thread Pool -- 36) Init VM Custom Properties utilities: 6/2/13 2:53 PM
2013-06-02 14:53:02,529 INFO  [org.ovirt.engine.core.bll.InitBackendServicesOnStartupBean] (pool-4-thread-1) MacPoolManager finished: 6/2/13 2:53 PM
Comment 2 Aharon Canan 2013-07-15 07:33:30 EDT
verified using is5

[root@acanan-rhevm-31 ~]# less /var/log/ovirt-engine/engine.log |egrep --color "Running ovirt"
2013-07-15 13:58:54,304 INFO  [org.ovirt.engine.core.bll.Backend] (ServerService Thread Pool -- 39) Running ovirt-engine 3.3.0-0.7.master.el6ev
Comment 3 Itamar Heim 2014-01-21 17:15:48 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:22:49 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.